import { APISchema, SchemaNode } from '@teambit/semantics.entities.semantic-schema';
import { APINodeRenderer } from '@teambit/api-reference.models.api-node-renderer';
import { ComponentID } from '@teambit/component-id';
export declare type SchemaQueryResult = {
    getHost: {
        getSchema: JSON;
    };
};
export declare type APINode = {
    api: SchemaNode;
    renderer: APINodeRenderer;
    componentId: ComponentID;
};
export declare class APIReferenceModel {
    apiByType: Map<string, APINode[]>;
    apiByName: Map<string, APINode>;
    apiNodes: APINode[];
    componentId: ComponentID;
    constructor(_api: APISchema, _renderers: APINodeRenderer[]);
    mapToAPINode(api: APISchema, renderers: APINodeRenderer[], componentId: ComponentID): APINode[];
    getByType(type: string): APINode[];
    groupByType(apiNodes: APINode[]): Map<string, APINode[]>;
    groupByName(apiNodes: APINode[]): Map<string, APINode>;
    static from(result: SchemaQueryResult, renderers: APINodeRenderer[]): APIReferenceModel;
}
